<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService\EnumType;

/**
 * This class stands for CustomerOrderUserFieldType EnumType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CustomerOrderUserFieldType
 * @subpackage Enumerations
 */
class CustomerOrderUserFieldType
{
    /**
     * Constant for value 'Boolean'
     * @return string 'Boolean'
     */
    const VALUE_BOOLEAN = 'Boolean';
    /**
     * Constant for value 'CaracterString'
     * @return string 'CaracterString'
     */
    const VALUE_CARACTER_STRING = 'CaracterString';
    /**
     * Constant for value 'Date'
     * @return string 'Date'
     */
    const VALUE_DATE = 'Date';
    /**
     * Constant for value 'SelectionList'
     * @return string 'SelectionList'
     */
    const VALUE_SELECTION_LIST = 'SelectionList';
    /**
     * Constant for value 'Numerical'
     * @return string 'Numerical'
     */
    const VALUE_NUMERICAL = 'Numerical';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_BOOLEAN
     * @uses self::VALUE_CARACTER_STRING
     * @uses self::VALUE_DATE
     * @uses self::VALUE_SELECTION_LIST
     * @uses self::VALUE_NUMERICAL
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_BOOLEAN,
            self::VALUE_CARACTER_STRING,
            self::VALUE_DATE,
            self::VALUE_SELECTION_LIST,
            self::VALUE_NUMERICAL,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
