<?php

namespace FiloBlu\CegidY2\Api\ItemInventoryWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResetShoppingCartResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Added 2013/08 - V1105] - Resets the "Web shopping cart" quantity of a item for a given warehouse. If no item is specified, the quantity is reset to 0 for all the warehouse.
 * @subpackage Structs
 */
class ResetShoppingCartResponse extends AbstractStructBase
{
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\ItemInventoryWcfService\StructType\ResetShoppingCartResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
