<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateFrom StructType
 * @subpackage Structs
 */
class CreateFrom extends AbstractStructBase
{
    /**
     * The Request
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequest
     */
    public $Request;
    /**
     * The Context
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\RetailContext
     */
    public $Context;
    /**
     * Constructor method for CreateFrom
     * @uses CreateFrom::setRequest()
     * @uses CreateFrom::setContext()
     * @param \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequest $request
     * @param \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\RetailContext $context
     */
    public function __construct(\FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequest $request = null, \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\RetailContext $context = null)
    {
        $this
            ->setRequest($request)
            ->setContext($context);
    }
    /**
     * Get Request value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequest|null
     */
    public function getRequest()
    {
        return isset($this->Request) ? $this->Request : null;
    }
    /**
     * Set Request value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequest $request
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFrom
     */
    public function setRequest(\FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequest $request = null)
    {
        if (is_null($request) || (is_array($request) && empty($request))) {
            unset($this->Request);
        } else {
            $this->Request = $request;
        }
        return $this;
    }
    /**
     * Get Context value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\RetailContext|null
     */
    public function getContext()
    {
        return isset($this->Context) ? $this->Context : null;
    }
    /**
     * Set Context value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\RetailContext $context
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFrom
     */
    public function setContext(\FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\RetailContext $context = null)
    {
        if (is_null($context) || (is_array($context) && empty($context))) {
            unset($this->Context);
        } else {
            $this->Context = $context;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFrom
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
