<?php

namespace FiloBlu\CegidY2\Api\ItemInventoryWcfService;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'HelloWorld' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\HelloWorld',
            'RetailContext' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\RetailContext',
            'HelloWorldResponse' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\HelloWorldResponse',
            'GetAvailableQty' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetAvailableQty',
            'ItemIdentifier' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\ItemIdentifier',
            'GetAvailableQtyResponse' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetAvailableQtyResponse',
            'AvailableQtyReturn' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\AvailableQtyReturn',
            'GetAvailableCumulativeQtyAllStores' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetAvailableCumulativeQtyAllStores',
            'GetAvailableCumulativeQtyAllStoresResponse' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetAvailableCumulativeQtyAllStoresResponse',
            'GetInventoryDetailByStore' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetInventoryDetailByStore',
            'GetInventoryDetailByStoreResponse' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetInventoryDetailByStoreResponse',
            'ArrayOfAvailableQtyByStore' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\ArrayType\\ArrayOfAvailableQtyByStore',
            'AvailableQtyByStore' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\AvailableQtyByStore',
            'UpdateShoppingCart' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\UpdateShoppingCart',
            'UpdateShoppingCart_Request' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\UpdateShoppingCart_Request',
            'UpdateShoppingCartResponse' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\UpdateShoppingCartResponse',
            'ResetShoppingCart' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\ResetShoppingCart',
            'ResetShoppingCart_Request' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\ResetShoppingCart_Request',
            'ResetShoppingCartResponse' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\ResetShoppingCartResponse',
            'GetListItemInventoryDetailByStore' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetListItemInventoryDetailByStore',
            'GetListItemInventoryDetailByStore_Request' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetListItemInventoryDetailByStore_Request',
            'ArrayOfItemIdentifier' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\ArrayType\\ArrayOfItemIdentifier',
            'Pager' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\Pager',
            'GetListItemInventoryDetailByStoreResponse' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetListItemInventoryDetailByStoreResponse',
            'GetListItemInventoryDetailByStore_Reply' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\GetListItemInventoryDetailByStore_Reply',
            'ArrayOfAvailableQtyByItemByStore' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\ArrayType\\ArrayOfAvailableQtyByItemByStore',
            'AvailableQtyByItemByStore' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\AvailableQtyByItemByStore',
            'ArrayOfStoreAvailableQty' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\ArrayType\\ArrayOfStoreAvailableQty',
            'StoreAvailableQty' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\StoreAvailableQty',
            'ArrayOfAvailableSkuQty' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\ArrayType\\ArrayOfAvailableSkuQty',
            'AvailableSkuQty' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\AvailableSkuQty',
            'CbpFaultDetail' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\CbpFaultDetail',
            'BusinessFaultDetail' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\BusinessFaultDetail',
            'ExceptionDetail' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\ExceptionDetail',
            'CbpExceptionDetail' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\StructType\\CbpExceptionDetail',
            'ArrayOfstring' => '\\FiloBlu\\CegidY2\\Api\\ItemInventoryWcfService\\ArrayType\\ArrayOfstring',
        );
    }
}
