<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Re ServiceType
 * @subpackage Services
 */
class Re extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named ReOpenCard
     * Meta information extracted from the WSDL
     * - documentation: [Added 2016/04 - V1110] [Beta] - Allows a closed card to be reopened
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\ReOpenCard $parameters
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\ReOpenCardResponse|bool
     */
    public function ReOpenCard(\FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\ReOpenCard $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ReOpenCard($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\ReOpenCardResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
