<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BusinessFaultDetail StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:BusinessFaultDetail
 * @subpackage Structs
 */
class BusinessFaultDetail extends CbpFaultDetail
{
    /**
     * The MemberNames
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfstring
     */
    public $MemberNames;
    /**
     * Constructor method for BusinessFaultDetail
     * @uses BusinessFaultDetail::setMemberNames()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfstring $memberNames
     */
    public function __construct(\FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfstring $memberNames = null)
    {
        $this
            ->setMemberNames($memberNames);
    }
    /**
     * Get MemberNames value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfstring|null
     */
    public function getMemberNames()
    {
        return isset($this->MemberNames) ? $this->MemberNames : null;
    }
    /**
     * Set MemberNames value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfstring $memberNames
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\BusinessFaultDetail
     */
    public function setMemberNames(\FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfstring $memberNames = null)
    {
        if (is_null($memberNames) || (is_array($memberNames) && empty($memberNames))) {
            unset($this->MemberNames);
        } else {
            $this->MemberNames = $memberNames;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\BusinessFaultDetail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
