<?php

namespace FiloBlu\CegidY2\Model\Config\Source;
use FiloBlu\CegidY2\Api\SaleDocumentService\EnumType\SaleDocumentType;

class SaleDocumentTypes implements \Magento\Framework\Option\ArrayInterface
{
    private $saleDocumentType;
    public function __construct(
        SaleDocumentType $saleDocumentType
    )
    {
        $this->saleDocumentType = $saleDocumentType;
    }

    public function toOptionArray()
    {
        $values = $this->saleDocumentType->getValidValues();
        return $values;
    }
}

